# SMS Opt-in a Contact

## Opt-in a contact

> Sends a double-optin message to a contact. Once the contact responds YES, the contact will be opted in. The double optin message can be configured from the Configure SMS settings.

```json
{"openapi":"3.0.0","info":{"title":"Gleantap External API","version":"1.0.0"},"tags":[{"name":"Contacts","description":"Contacts"}],"servers":[{"url":"https://api.gleantap.com","description":"Production server"}],"paths":{"/v2/ExternalApi/optin":{"post":{"tags":["Contacts"],"summary":"Opt-in a contact","description":"Sends a double-optin message to a contact. Once the contact responds YES, the contact will be opted in. The double optin message can be configured from the Configure SMS settings.","operationId":"4e2209fe49e5005f2418712b3679e6a6","parameters":[{"name":"X-API-KEY","in":"header","description":"Your API key","required":true,"schema":{"type":"string"}},{"name":"X-SECRET-KEY","in":"header","description":"Your Secret key","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"required":["app_id","phone","email","user_id"],"properties":{"app_id":{"type":"string"},"phone":{"type":"string"},"email":{"type":"string","format":"email"},"user_id":{"type":"string"},"dob":{"description":"Date of birth in YYYY-MM-DD format","type":"string","format":"date"}},"type":"object"}}}},"responses":{"200":{"description":"Contact opted-in successfully","content":{"application/json":{"schema":{"properties":{"status":{"type":"string"}},"type":"object"}}}},"400":{"description":"Invalid request or age restriction"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.gleantap.com/update-data/sms-opt-in-a-contact.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
